## GODataCVector

GODataCVector

## Functions

gboolean | go_data_vector_decreasing ()
int | go_data_vector_get_len ()
PangoAttrList * | go_data_vector_get_markup ()
void | go_data_vector_get_minmax ()
char * | go_data_vector_get_str ()
double | go_data_vector_get_value ()
double * | go_data_vector_get_values ()
gboolean | go_data_vector_increasing ()
gboolean | go_data_vector_vary_uniformly ()

## Types and Values

| GODataVector

## Object Hierarchy

        GObject
        ╰── GOData
            ╰── GODataVector
                ├── GODataVectorStr
                ╰── GODataVectorVal

## Description

## Functions

### go_data_vector_decreasing ()

    gboolean
    go_data_vector_decreasing (GODataVector *vec);

#### Parameters

vec | GODataVector |

#### Returns

`TRUE` if the vector values are decreasing.

### go_data_vector_get_len ()

    int
    go_data_vector_get_len (GODataVector *vec);

#### Parameters

vec | GODataVector |

#### Returns

the vector length.

### go_data_vector_get_markup ()

    PangoAttrList *
    go_data_vector_get_markup (GODataVector *vec,
                               unsigned  i);

#### Parameters

vec | GODataVector |
i | index |

#### Returns

the markup at `i` .

[transfer full][nullable]

### go_data_vector_get_minmax ()

    void
    go_data_vector_get_minmax (GODataVector *vec,
                               double *min,
                               double *max);

Retrieves the minimum and maximum values in `vec` .

#### Parameters

vec | GODataVector |
min | location for minimum value. | [out][optional]
max | location for maximum value. | [out][optional]

### go_data_vector_get_str ()

    char *
    go_data_vector_get_str (GODataVector *vec,
                            unsigned  i);

#### Parameters

vec | GODataVector |
i | index |

#### Returns

the string at `i` .

[transfer full]

### go_data_vector_get_value ()

    double
    go_data_vector_get_value (GODataVector *vec,
                              unsigned  i);

#### Parameters

vec | GODataVector |
i | index |

#### Returns

the value at `i` .

### go_data_vector_get_values ()

    double *
    go_data_vector_get_values (GODataVector *vec);

#### Parameters

vec | GODataVector |

#### Returns

the data values.

[array]

### go_data_vector_increasing ()

    gboolean
    go_data_vector_increasing (GODataVector *vec);

#### Parameters

vec | GODataVector |

#### Returns

`TRUE` if the vector values are increasing.

### go_data_vector_vary_uniformly ()

    gboolean
    go_data_vector_vary_uniformly (GODataVector *vec);

#### Parameters

vec | GODataVector |

#### Returns

`TRUE` if the vector values vary uniformly.

## Types and Values

### GODataVector

    typedef struct _GODataVector GODataVector;